Loading...
Searching...
No Matches
Miscellaneous

## Classes

class | gr::fxpt
| fixed point sine and cosine and friends. More...
class | gr::fxpt_nco
| Numerically Controlled Oscillator (NCO). More...
class | gr::fxpt_vco
| Voltage Controlled Oscillator (VCO). More...
class | gr::message
| Message class. More...
class | gr::msg_queue
| thread-safe message queue More...
class | gr::nco< o_type, i_type >
| base class template for Numerically Controlled Oscillator (NCO) More...
class | gr::prefs
| Base class for representing user preferences a la windows INI files. More...
class | gr::blocks::lfsr_15_1_0
| Linear Feedback Shift Register using primitive polynomial x^15 + x + 1. More...
class | gr::blocks::lfsr_32k
| generate pseudo-random sequence of length 32768 bits. More...
class | gr::digital::lfsr
| Fibonacci Linear Feedback Shift Register using specified polynomial mask. More...
struct | gr::fft::fft_inbuf< T, forward >
| FFT: templated. More...
class | gr::fft::goertzel
| Implements Goertzel single-bin DFT calculation. More...
class | gr::wavelet::squash_ff
| Implements cheap resampling of spectrum directly from spectral points, using gsl interpolation. More...

## Functions

GR_RUNTIME_API float | gr::fast_atan2f (float y, float x)
| Fast arc tangent using table lookup and linear interpolation.
GR_RUNTIME_API rt_status_t | gr::enable_realtime_scheduling ()
| If possible, enable high-priority "real time" scheduling.

## Detailed Description

## Function Documentation

## enable_realtime_scheduling()

GR_RUNTIME_API rt_status_t gr::enable_realtime_scheduling | ( |  | ) |

If possible, enable high-priority "real time" scheduling.

References GR_RUNTIME_API.

## fast_atan2f()

GR_RUNTIME_API float gr::fast_atan2f | ( | float | y,
|  | float | x )

Fast arc tangent using table lookup and linear interpolation.

Parameters

  y | component of input vector
  x | component of input vector

Returns
  float angle angle of vector (x, y) in radians

This function calculates the angle of the vector (x,y) based on a table lookup and linear interpolation. The table uses a 256 point table covering -45 to +45 degrees and uses symmetry to determine the final angle value in the range of -180 to 180 degrees. Note that this function uses the small angle approximation for values close to zero. This routine calculates the arc tangent with an average error of +/- 0.045 degrees.

References GR_RUNTIME_API.

Referenced by fast_atan2f().